<?php
// Version: 2.1.3; Help

global $helptxt, $scripturl;

$txt['close_window'] = 'Close window';

$helptxt['manage_boards'] = '	<strong>Edit Boards</strong><br />
	You can create/reorder/remove boards, and the categories
	above them, from this page.<br />For example, if you had a wide-ranging
	site that offered information on &quot;Sports&quot;, &quot;Cars&quot; and &quot;Music&quot;, these
	would be the top-level Categories you would create. Under each of these
	categories you might want to create hierarchical &quot;sub-categories&quot;,
	or &quot;Boards&quot;, for topics within each. It is a simple hierarchy with this structure: <br />
	<ul class="normallist">
		<li>
			<strong>Sports</strong>
			&nbsp;- A &quot;category&quot;
		</li>
		<ul class="normallist">
			<li>
				<strong>Baseball</strong>
				&nbsp;- A board under the category of &quot;Sports&quot;
			</li>
			<ul class="normallist">
				<li>
					<strong>Stats</strong>
					&nbsp;- A child board under the board of &quot;Baseball&quot;
				</li>
			</ul>
			<li><strong>Football</strong>
			&nbsp;- A board under the category of &quot;Sports&quot;</li>
		</ul>
	</ul>
	Categories allow you to break down the board into broad topics (&quot;Cars,
	Sports&quot;) and the &quot;Boards&quot; under them are the actual topics under which
	members can post. A user interested in Pintos would post a message under &quot;Cars->Pinto&quot;.<br />
	Categories allow people to quickly find their interests. Instead of a &quot;Store&quot;, you can go to 
	&quot;Hardware&quot; and &quot;Clothing&quot; stores. This simplifies your
	search for &quot;pipe joint compound&quot; because you can go to the Hardware
	Store &quot;category&quot; instead of the Clothing Store (where you are unlikely
	to find pipe joint compound).<br />
	As noted above, a Board is a key topic under a broad category.
	If you want to discuss &quot;Pintos&quot;, you would go to the &quot;Auto&quot; category and
	then into the &quot;Pinto&quot; board to post your thoughts in that board.<br />
	Administrative functions for this item are to create new boards
	under each category, to reorder them (put &quot;Pinto&quot; behind &quot;Chevy&quot;) or
	to delete the board entirely.';

$helptxt['edit_news'] = '<strong>Forum News and Newsletters</strong><br />
	<ul class="normallist"> 
		<li> 
			<strong>News</strong><br /> 
			You can set the text for news items displayed on the Board Index page here. Add any item you want (e.g. &quot;Do not miss the conference 
			this Tuesday&quot;). Each news item should go in a separate box and they are displayed randomly.
		</li> 
		<li> 
			<strong>Newsletters</strong><br /> 
			This section allows you to send out newsletters to the members of the forum via personal message or email. First select the groups that you 
			want to receive the newsletter and those you do not want to receive the newsletter. If you wish, you can add additional members and email 
			addresses that will receive the newsletter. Finally, enter the message you want to send and select whether you want it to be sent to members 
			as a personal message or as an email.
		</li> 
		<li> 
			<strong>Settings</strong><br /> 
			This section contains a few settings that relate to news and newsletters including selecting which groups can edit forum news or send newsletters. 
			There is also a setting to configure whether you want news feeds enabled on the forum as well as a setting to configure the length (how many 
			characters are displayed) for each news post from a news feed.
		</li> 
	</ul>';

$helptxt['view_members'] = '
	<ul class="normallist">
		<li>
			<strong>View all Members</strong><br>
			View all members of the forum. You are presented with a hyperlinked list of member names. You may click
			on any of the names to find details of the members (homepage, age, etc.), and as Administrator
			you are able to modify these parameters. You have complete control over members, including the
			ability to delete them from the forum.<br><br>
		</li>
		<li>
			<strong>Awaiting approval</strong><br>
			This page is only shown if you have enabled admin approval of all new registrations. Anyone who registers to join your
			forum will only become a full member once they have been approved by an admin. The page lists all those members who
			are still awaiting approval, along with their email and IP address. You can choose to either accept or reject (delete)
			any member on the list by checking the box next to the member and choosing the action from the drop-down box at the bottom
			of the page. When rejecting a member you can choose to delete the member either with or without notifying them of your decision.<br><br>
		</li>
		<li>
			<strong>Awaiting activation</strong><br>
			This page will only be visible if you have email activation of new member accounts enabled on the forum. This page will list all
			members who have still not activated their new accounts. From this page you can choose to either accept, reject or remind
			members with outstanding registrations. As above you can also choose to email the member to inform them of the
			action you have taken.<br><br>
		</li>
	</ul>';

$helptxt['ban_members'] = '<strong>Ban Members</strong><br />
	SMF provides the ability to &quot;ban&quot; users to prevent people who have violated the trust of the board
	by spamming, trolling, etc. from using this forum. This allows you to ban those users who are detrimental to your forum.<br />
	When you view messages as an administrator, you can see each user\'s IP address used to post at that time. In the ban list,
	you simply type in that IP address and save it and they can no longer post from that location. You can also
	ban people through their email address.';

$helptxt['featuresettings'] = '<strong>Features and Options</strong><br /><br /> There are several features in this section that can be changed to your preference. ';

$helptxt['modsettings'] = '<strong>Modification Settings</strong><br /><br />
        This section should show any settings added by modifications installed on your forum.';

$helptxt['time_format'] = '<strong>Time Format</strong><br /><br /> 
	You can adjust how the time and date look for yourself. There are a lot of little letters but it is quite simple. 
	The conventions follow PHP\'s strftime function and are described as below (more details can be found at 
	<a href="http://www.php.net/manual/function.strftime.php" target="_blank" class="new_win">php.net</a>).<br /> 
	<br /> 
	The following characters are recognised in the format string: <br /> 
	<span class="smalltext"> 
	&nbsp;&nbsp;%a - abbreviated weekday name<br /> 
	&nbsp;&nbsp;%A - full weekday name<br /> 
	&nbsp;&nbsp;%b - abbreviated month name<br /> 
	&nbsp;&nbsp;%B - full month name<br /> 
	&nbsp;&nbsp;%d - day of the month (01 to 31) <br /> 
	&nbsp;&nbsp;%D<strong>*</strong> - same as %m/%d/%y <br /> 
	&nbsp;&nbsp;%e<strong>*</strong> - day of the month (1 to 31) <br /> 
	&nbsp;&nbsp;%H - hour using a 24-hour clock (range 00 to 23) <br /> 
	&nbsp;&nbsp;%I - hour using a 12-hour clock (range 01 to 12) <br /> 
	&nbsp;&nbsp;%m - month as a number (01 to 12) <br /> 
	&nbsp;&nbsp;%M - minute as a number <br /> 
	&nbsp;&nbsp;%p - either &quot;am&quot; or &quot;pm&quot; according to the given time<br /> 
	&nbsp;&nbsp;%R<strong>*</strong> - time in 24 hour notation <br /> 
	&nbsp;&nbsp;%S - second as a decimal number <br /> 
	&nbsp;&nbsp;%T<strong>*</strong> - current time, equal to %H:%M:%S <br /> 
	&nbsp;&nbsp;%y - 2 digit year (00 to 99) <br /> 
	&nbsp;&nbsp;%Y - 4 digit year<br /> 
	&nbsp;&nbsp;%% - a literal \'%\' character <br /> 
	<br /> 
	<em>* May not work on Windows-based servers.</em></span>';

$helptxt['live_news'] = '<strong>Live Announcements</strong><br /><br />
	This box shows recently updated announcements from <a href="http://www.simplemachines.org/" target="_blank">www.simplemachines.org</a>.
	You should check here every now and then for updates, new releases and important information from Simple Machines.';

$helptxt['registrations'] = '<strong>Registration Management</strong><br /><br />
	This section contains all the functions that could be necessary to manage new registrations on the forum. It contains up to four
	sections which are visible depending on your forum settings. These are:<br />
	<ul class="normallist">
		<li>
			<strong>Register New Member</strong><br />
			You can choose to register accounts for new members, on their behalf, from this screen. This can be useful in forums where registration is closed
			to new members or in cases where the admin wishes to create a test account. If the option to require activation of the account
			is selected, the member will be emailed an activation link which must be clicked before they can use the account. Similarly, you can
			select to email the user\'s new password to the stated email address.
		</li>
		<li>
			<strong>Edit Registration Agreement</strong><br />
			You can set the text for the registration agreement displayed when members sign up for your forum.
			You can add or remove anything from the default registration agreement which is included in SMF.
		</li>
		<li>
			<strong>Set Reserved Names</strong><br />
			You can specify words or names which may not be used by your users.
		</li>
		<li>
			<strong>Settings</strong><br />
			This section will only be shown if you have permission to administrate the forum. You can select the registration method
			in use on your forum here as well as other registration related settings.
		</li>
	</ul>';

$helptxt['modlog'] = '<strong>Moderation Log</strong><br /><br />
	This section allows members of the moderation team to track all the moderation actions that the forum moderators have taken. Entries cannot be deleted 
	until 24 hours after the action was taken to ensure that moderators cannot remove references to the actions they have taken.';
$helptxt['adminlog'] = '<strong>Administration Log</strong><br /><br />
	This section allows members of the admin team to track some of the administrative actions that have been taken on the forum. Entries cannot be deleted
	until 24 hours after the action was taken to ensure that administrators cannot remove references to the actions they have taken.';
$helptxt['userlog'] = '<strong>Profile Edits Log</strong><br>
	This page allows members of the admin team to view changes users make to their profiles, and is available from inside a user\'s profile area.';
$helptxt['warning_enable'] = '<strong>Member Warning System</strong><br /><br /> 
	This feature enables members of the administration and moderation team to issue warnings to members and to use a member\'s warning level to determine 
	the actions available to that member on the forum. On enabling this feature, a permission will be available within the permissions section to define which 
	groups can assign warnings to members. Warning levels can be adjusted from a member\'s profile. The following additional options are available: 
	<ul class="normallist"> 
		<li> 
			<strong>Warning Level for Member Watch</strong><br /> 
			This setting defines the percentage warning level a member must reach to have a &quot;watch&quot; automatically assigned to them. 
			Any member who is being &quot;watched&quot; will appear in the relevant area of the Moderation Centre. 
		</li> 
		<li> 
			<strong>Warning Level for Post Moderation</strong><br /> 
			Any member passing this warning level will find all their posts require moderator approval before the posts are shown to the 
			forum community. This will override any local board permissions related to post moderation which may exist. 
		</li> 
		<li> 
			<strong>Warning Level for Member Muting</strong><br /> 
			Any member passing this warning level will find themselves under a post ban. The member will lose all posting rights. 
		</li> 
		<li> 
			<strong>Maximum Member Warning Points per Day</strong><br /> 
			This setting limits the number of points a moderator can add to/remove from any particular member in a 24 hour period and can be used to 
			limit what a moderator can do in a short period of time. The setting can be disabled by setting to a value of zero. Note that any members with 
			administrator permissions are not affected by this value. 
		</li> 
	</ul>';
$helptxt['warning_watch'] = 'This setting defines the percentage warning level a member must reach to automatically assign a &quot;watch&quot; to the member. Any member who is being &quot;watched&quot; will appear in the watched members list in the moderation center.';
$helptxt['warning_moderate'] = 'Any member passing the value of this setting will find all their posts require moderator approval before they appear to the forum community. This will override any local board permissions which may exist related to post moderation.';
$helptxt['warning_mute'] = 'If this warning level is passed by a member they will find themselves under a post ban. The member will lose all posting rights.';
$helptxt['user_limit'] = 'This setting limits the amount of points a moderator may add/remove to any particular member in a twenty four hour period. This
			can be used to limit what a moderator can do in a small period of time. This can be disabled by setting it to a value of zero. Note that
			any members with administrator permissions are not affected by this value.';

$helptxt['error_log'] = '<strong>Error Log</strong><br /><br />
	The error log records every serious error encountered by users of your forum. It lists all of these errors by date which can be sorted
	by clicking the arrow next to each date. Additionally, you can filter the errors by clicking the picture next to each error statistic. This
	allows you to filter, for example, by member. When a filter is active, only results that match the filter will be displayed.';
$helptxt['theme_settings'] = '<strong>Theme Settings</strong><br /><br />
	The settings screen allows you to change settings specific to a theme. These settings include not only options such as the theme\'s directory and URL information but
	also options that affect the layout of a theme on your forum. Most themes will have a variety of user configurable options allowing you to adapt a theme
	to suit your individual forum needs.';
$helptxt['smileys'] = '<strong>Smiley Centre</strong><br /><br />
	You can add and remove smileys and smiley sets here. Note, importantly, that if a smiley is in one set, it is in all sets otherwise it might
	get confusing for your users using different sets.<br /><br />

	You can also enable editing of message icons here if you have them enabled on the settings page.';
$helptxt['calendar'] = '<strong>Manage Calendar</strong><br /><br />
	You can modify the current calendar settings here as well as add and remove holidays that appear on the calendar.';
$helptxt['cal_export'] = 'Exports a text file in the iCal format for importing into other calendar applications';
$helptxt['cal_highlight_events'] = 'This setting allows you to highlight events on the Mini Calendars, Main Calendar, both places, or disable event highlighting.';
$helptxt['cal_highlight_holidays'] = 'This setting allows you to highlight holidays on the Mini Calendars, Main Calendar, both places, or disable event highlighting.';
$helptxt['cal_highlight_birthdays'] = 'This setting allows you to highlight birthdays on the Mini Calendars, Main Calendar, both places, or disable event highlighting.';
$helptxt['cal_disable_prev_next'] = 'If this setting is checked, the three month blocks on the left hand side of the page will be disabled.';
$helptxt['cal_display_type'] = 'This setting allows you to change the display type of the calendar.<br><br><strong>Comfortable:</strong> makes the rows of the calendar big.<br><strong>Compact:</strong> makes the rows of the calendar small.';
$helptxt['cal_week_links'] = 'If this setting is checked, links will be added alongside each week in the calendar.';
$helptxt['cal_prev_next_links'] = 'If this setting is checked, previous month and next month links will be added to the top of each month for easy navigation.';
// argument(s): $txt['months_short'][1], $txt['months_titles'][1]
$helptxt['cal_short_months'] = 'If this setting is checked, month names within the calendar will be shortened.<br><br><strong>Enabled:</strong> %1$s 1<br><strong>Disabled:</strong> %2$s 1';
// argument(s): $txt['days_short'][1], $txt['days'][1]
$helptxt['cal_short_days'] = 'If this setting is checked, day names within the calendar will be shortened.<br><br><strong>Enabled:</strong> %1$s<br><strong>Disabled:</strong> %2$s';

$helptxt['serversettings'] = '<strong>Server Settings</strong><br /><br />
	You can carry out the core configuration of your forum here. This section includes the database and URL settings as well as other
	important configuration items such as mail settings and caching. Think carefully whenever editing these settings as an error may
	render the forum inaccessible.';
$helptxt['manage_files'] = '<strong>Attachments and Avatars</strong><br />
	<ul class="normallist">
		<li>
			<strong>Browse Files</strong><br />
			Browse through all the attachments, avatars and thumbnails stored by SMF.
		</li>
		<li>
			<strong>Attachment Settings</strong><br />
			Configure where attachments are stored and set restrictions on the types of attachments.
		</li>
		<li>
			<strong>Avatar Settings</strong><br />
			Configure where avatars are stored and manage resizing of avatars.
		</li>
		<li>
			<strong>File Maintenance</strong><br />
			Check and repair any error in the attachment directory and delete selected attachments.
		</li>
	</ul>';

$helptxt['topicSummaryPosts'] = 'This option allows you to set the number of previous posts shown in the topic summary at the reply screen.';
$helptxt['enableAllMessages'] = 'This option allows you to set the <em>maximum</em> number of posts a topic can have while showing the \'All\' link. Setting this lower than \'Number of posts on a topic page\' will simply mean the \'All\' link never gets shown and setting it too high could slow down your forum.';
$helptxt['allow_guestAccess'] = 'Disabling this option will prevent guests from doing anything other than very basic actions (e.g. login, register, password reminder, etc.) on your forum. This is not the same as disallowing guest access to boards.';
$helptxt['userLanguage'] = 'Enabling this option will allow users to select which language file they use but will not affect the
	default selection.';
$helptxt['trackStats'] = '<strong>Statistics</strong><br />
	<ul class="normallist">
		<li>
			<strong>Track daily statistics</strong><br />
			This option will allow users to see the latest posts and the most popular topics on your forum. 
			It will also show several statistics such as the most members online, new members and new topics.
		</li>
		<li>
			<strong>Track daily page views</strong><br />
			This option will add another column to the stats page showing the number of page views on your forum.
		</li>
	</ul>';
$helptxt['titlesEnable'] = 'Enabling this option will allow members with the relevant permission to create a special title for themselves which will be shown below their name.<br /><em>For example:</em><br />Jeff<br />Cool Guy';
$helptxt['onlineEnable'] = 'This will show an image indicating whether the member is online or offline.';
$helptxt['todayMod'] = 'This will show &quot;Today&quot; or &quot;Yesterday&quot; instead of the date.<br /><br /> 
	<strong>Examples:</strong><br /><br /> 
	<dt> 
		<dt>Disabled</dt> 
		<dd>October 3, 2009 at 12:59:18 am</dd> 
		<dt>Only Today</dt> 
		<dd>Today at 12:59:18 am</dd> 
		<dt>Today and Yesterday</dt> 
		<dd>Yesterday at 09:36:55 pm</dd> 
	</dt>';
$helptxt['disableCustomPerPage'] = 'Enabling this option will prevent users from customising the number of messages and topics displayed per page on the Message Index and Topic Display pages respectively.';
$helptxt['enablePreviousNext'] = 'Enabling this option will show a link to the \'Previous\' and \'Next\' topics.';
$helptxt['pollMode'] = 'This selects whether or not polls are enabled. If polls are disabled, any existing polls will be hidden
		from the topic listing. You can choose to continue to show the regular topic without their polls by selecting
		&quot;Show Existing Polls as Topics&quot;.<br /><br />To choose who can post polls, view polls or similar, you
		can allow and disallow those permissions. Remember this if polls are not working.';
$helptxt['enableCompressedOutput'] = 'This option allows output to be compressed to lower bandwidth consumption but requires
		zlib to be installed.';
$helptxt['httponlyCookies'] = 'Cookies won\'t be accessible by scripting languages, such as JavaScript. This setting can help to reduce identity theft through XSS attacks. This can cause issues with third party scripts but should be on wherever possible.';
$helptxt['samesiteCookies'] = 'The SameSite attribute of the Set-Cookie HTTP response header allows you to declare if your cookie should be restricted to a first-party or same-site context. For further information, please refer to <a href="https://developer.mozilla.org/docs/Web/HTTP/Headers/Set-Cookie/SameSite">MDN</a>';
$helptxt['databaseSession_enable'] = 'This option makes use of the database for session storage. It is best for load balanced servers but helps with all timeout issues and can make the forum faster.';
$helptxt['databaseSession_loose'] = 'Enabling this option will decrease the bandwidth your forum uses and make it so that clicking \'Back\' will not reload the page. The downside is that the (new) icons will not update, among other things, unless you click to that page instead of going back to it.';
$helptxt['databaseSession_lifetime'] = 'This is the number of seconds for sessions to continue after last access. If a session is not accessed for some time, it is said to have &quot;timed out&quot;. Anything higher than 2400 is recommended.';
$helptxt['tfa_mode'] = 'You can add a second level of security to your forum by enabling <a href="https://en.wikipedia.org/wiki/Two_factor_authentication">Two Factor Authentication</a>. 2FA forces your users to add a enter a machine-generated code after the regular login. You need to configure 2FA to yourself before you are able to force it to other users!';
$helptxt['cache_enable'] = 'SMF performs caching at a variety of levels. The higher the level of caching enabled the more CPU time will be spent retrieving cached information. If caching is available on your machine it is recommended that you try caching at level 1 first.';
$helptxt['cache_memcached'] = 'If you are using memcached you need to provide the server details. This should be entered as a comma separated list as shown in the example below:<br><br>	&quot;server1,server2,server3:port,server4&quot;<br><br>Note that if no port is specified SMF will use port 11211 unless the host contains a slash, then it is assumed to be an alternative transport and the port will be set to 0. SMF will attempt to perform rough/random load balancing across the specified servers.';
$helptxt['cache_cachedir'] = 'This setting is only for the smf file-based cache system. It specifies the path to the cache directory. It is recommended that you place this in /tmp/ if you are going to use this, although it will work in any directory';
$helptxt['cache_sqlite_cachedir'] = 'This setting is only for the SQLite database cache system. It specifies the path to the cache directory. It is recommended that you place this in /tmp/ if you are going to use this, although it will work in any directory';
$helptxt['enableErrorLogging'] = 'This option enables logging of any errors, such as a failed login, so you can see what went wrong.';
$helptxt['enableErrorQueryLogging'] = 'This will include in the error log the full query sent to the database (requires error logging to be turned on).<br /><br /><strong>Note: This will affect the ability to filter the error log by the error message.</strong>';
$helptxt['disallow_sendBody'] = 'This will remove the option of receiving the text of replies and posts in notification emails.<br /><br />Members will often reply to the notification email which in most cases means the webmaster receives the reply.';
$helptxt['enable_ajax_alerts'] = 'This option allows your members to receive AJAX notifications. This means that members don\'t need to refresh the page to get new notifications.<br><strong>DO NOTE:</strong> This option might cause a severe load at your server with many users online.';
$helptxt['alerts_auto_purge'] = 'Once an alert has been read, it is rarely needed again. For performance reasons, it is a good idea to automatically delete them after a while.';
$helptxt['jquery_source'] = 'This will determine the source used to load the jQuery Library. <em>Google CDN, jQuery CDN</em> and <em>Microsoft CDN</em> will load the jQuery library from those respective CDN networks. <em>Local</em> will only use the local source. <em>Custom</em> allows you to specify a custom URL for the library.';
$helptxt['compactTopicPagesEnable'] = 'This will just show a selection of the number of pages.<br /><em>Example:</em>
	&quot;3&quot; to display: 1 ... 4 [5] 6 ... 9 <br />
	&quot;5&quot; to display: 1 ... 3 4 [5] 6 7 ... 9';
$helptxt['timeLoadPageEnable'] = 'This will show, at the bottom of the board, the time in seconds that SMF took to create the page.';
$helptxt['removeNestedQuotes'] = 'Enabling this option will show only the quote of the post in question, when cited via a quote link, not any nested quotes within that post.';
$helptxt['max_image_width'] = 'These options allow you to set a maximum size for posted pictures. Pictures smaller than the maximum will not be affected.';
$helptxt['mail_type'] = 'This will allow you to choose either PHP\'s default settings or to override those settings with SMTP. PHP does not support using authentication with SMTP (which many hosts now require), so if you want that you should select SMTP. Note that SMTP can be slower and some servers will not take usernames and passwords.<br /><br />You do not need to complete the SMTP settings if this is set to PHP\'s default.';
$helptxt['attachment_manager_settings'] = '<strong>Attachment Manager</strong><br /><br />
	Attachments are files that members can upload and attach to a post.<br />
	<ul class="normallist">
		<li>
			<strong>Check attachment\'s extension</strong><br />
			Enabling this option will allow checking of the attachment\'s file name extension.
		</li>
		<li>
			<strong>Allowed attachment extensions</strong><br />
			Set the list of allowed extensions of attached files.
		</li>
		<li>
			<strong>Attachments directory</strong><br />
			Set the path to your attachment folder<br />(e.g. /home/sites/yoursite/www/forum/attachments).
		</li>
		<li>
			<strong>Maximum attachment folder space</strong> (in KB)<br />
			Set size of the attachment folder including all files within it.
		</li>
		<li>
			<strong>Maximum attachment size per post</strong> (in KB)<br />
			Set the maximum file size of all attachments made per post. This will be the limit if set lower than the per-attachment limit.
		</li>
		<li>
			<strong>Maximum size per attachment</strong> (in KB)<br />
			Set the maximum file size of each separate attachment.
		</li>
		<li>
			<strong>Maximum number of attachments per post</strong><br />
			Set the number of attachments a person can make per post.
		</li>
		<li>
			<strong>Display attachment as picture in posts</strong><br />
			If the uploaded file is a picture, selecting this option will allow it to be shown below the post.
		</li>
		<li>
			<strong>Resize images when showing under posts</strong><br />
			If this option is selected, a separate (smaller) attachment for the thumbnail will be saved to decrease bandwidth.
		</li>
		<li>
			<strong>Maximum width and height of thumbnails</strong><br />
			Set the maximum width and height (in pixels) above which attachments will be resized proportionately (only used with the &quot;Resize images when showing under posts&quot; option).
		</li>
	</ul>';
$helptxt['attachmentCheckExtensions'] = 'For some communities, you may wish to limit the types of files that users can upload by checking the extension: e.g. myphoto.jpg has an extension of jpg.';
// References setting attachmentCheckExtensions
$helptxt['attachmentExtensions'] = 'If "check attachment\'s extension" above is enabled, these are the extensions that will be permitted for new attachments.';
$helptxt['attachmentUploadDir'] = 'The path to your attachment folder on the server<br>(example: /home/sites/yoursite/www/forum/attachments)';
$helptxt['attachmentDirSizeLimit'] = 'Select how large the attachment folder can be, including all files within it.';
$helptxt['attachmentPostLimit'] = 'Select the maximum filesize (in KB) of all attachments made per post. If this is lower than the per-attachment limit, this will be the limit.';
$helptxt['attachmentSizeLimit'] = 'Select the maximum filesize of each separate attachment.';
$helptxt['attachmentNumPerPostLimit'] = 'Select the number of attachments a person can make per post.';
$helptxt['attachmentShowImages'] = 'If the uploaded file is a picture, it will be displayed underneath the post.';
$helptxt['attachmentThumbnails'] = 'If the above setting is selected, this will save a separate (smaller) attachment for the thumbnail to decrease bandwidth.';
$helptxt['attachmentThumbWidth'] = 'Only used with the &quot;Resize images when showing under posts&quot; setting. This is the maximum width to resize attachments down to. They will be resized proportionally.';
$helptxt['attachmentThumbHeight'] = 'Only used with the &quot;Resize images when showing under posts&quot; setting. This is the maximum height to resize attachments down to. They will be resized proportionally.';
$helptxt['attachmentDirFileLimit'] = 'Max number of files per directory';
$helptxt['attachmentEnable'] = 'This setting enables you to configure how attachments can be made.<br><br>
	<ul class="normallist">
		<li>
			<strong>Disable all attachments</strong><br>
			All attachments are disabled. Existing attachments are not deleted, but they are hidden from view (even administrators cannot see them). New attachments cannot be made either, regardless of permissions.<br><br>
		</li>
		<li>
			<strong>Enable all attachments</strong><br>
			Everything behaves as normal, users who are permitted to view attachments can do so, users who are permitted to upload can do so.<br><br>
		</li>
		<li>
			<strong>Disable new attachments</strong><br>
			Existing attachments are still accessible, but no new attachments can be added, regardless of permission.
		</li>
	</ul>';
$helptxt['attachment_image_paranoid'] = 'Selecting this option will enable very strict security checks on image attachments. Warning! These extensive checks can also fail on valid images. It is strongly recommended that you only use this option together with image re-encoding in order to have SMF try to resample the images which fail the security checks. If successful, attachments will be sanitised and uploaded otherwise, if image re-encoding is not enabled, all attachments failing checks will be rejected.';
$helptxt['attachment_image_reencode'] = 'Selecting this setting will enable trying to re-encode the uploaded image attachments. Image re-encoding offers better security. Note however that image re-encoding also renders all animated images static. <br> This feature is only possible if the GD module is installed on your server.';
$helptxt['attachment_thumb_memory'] = 'The larger the source image (size & width x height), the higher the memory requirements are for the system to successfully create a thumbnail image.<br>Checking this setting, the system will estimate the required memory and will then request that amount. If successful, only then will it attempt to create the thumbnail.<br>This will result in fewer white page errors but may result in fewer thumbnails being created. Leaving this unchecked will always cause the system to try to create the thumbnail (with a fixed amount of memory). This may result in more white page errors.';
$helptxt['attachmentRecodeLineEndings'] = 'The script will re-code line endings according to your server.';
$helptxt['automanage_attachments'] = 'By default, SMF puts new attachments into a single folder. For most sites this is not a problem, but as a site grows it can be useful to have multiple folders to store attachments in.<br><br>This setting allows you to set whether you manage these folders yourself (e.g. creating a second folder and moving to it when you are ready) or whether you let SMF do it, based on criteria, such as when the current directory reaches a given size, or breaking down folders by years or even months on very busy sites.';
$helptxt['dont_show_attach_under_post'] = 'If enabled, the attachments embedded in the post won\'t appear under the post, but are still subject to be deleted.';
$helptxt['use_subdirectories_for_attachments'] = 'Create new directories.';
$helptxt['max_image_height'] = 'As with the maximum width, this setting indicates the maximum height a posted image can be.';
$helptxt['avatar_paranoid'] = 'Selecting this option will enable very strict security checks on avatars. Warning! These extensive checks can also fail on valid images. It is strongly recommended that you only use this option together with avatars re-encoding in order to have SMF try to resample the images which fail the security checks. If successful, avatars will be sanitised and uploaded otherwise, if re-encoding of avatars is not enabled, all avatars failing checks will be rejected.';
$helptxt['avatar_reencode'] = 'Selecting this setting will enable trying to re-encode the uploaded avatars. Image re-encoding offers better security. Note, however, that image re-encoding also renders all animated images static. <br> This feature is only possible if the GD module is installed on your server.';
$helptxt['cal_enabled'] = '<strong>Calendar Settings</strong><br /><br />
	The calendar can be used for showing birthdays or important events happening in your community. 
	Remember that the usage of the calendar (posting events, viewing events, etc.) is controlled by permissions set in the &quot;Permissions&quot; section.<br />
	<ul class="normallist">
		<li>
			<strong>Maximum number of days ahead on board index</strong><br />
			Sets the maximum days ahead to show events on the board index. Set to 7 to show all events for the next week.
		</li>
		<li>
			<strong>Show holidays</strong><br />
			Sets where to display a calendar bar showing today\'s holidays.
		</li>
		<li>
			<strong>Show birthdays</strong><br />
			Sets where to display a calendar bar showing today\'s birthdays.
		</li>
		<li>
			<strong>Show events</strong><br />
			Sets where to display a calendar bar showing today\'s events.
		</li>
		<li>
			<strong>Default board in which to post</strong><br />
			Sets the default board for posting events.
		</li>
		<li>
			<strong>Show days as link to \'Post Event\'</strong><br />
			Allows members to post events for a specific day when they click on that date.
		</li>
		<li>
			<strong>Allow events not linked to posts</strong><br />
			Allows members to post events without requiring the events to be linked with a post on a board.
		</li>
		<li>
			<strong>Show linked events in topic display</strong><br />
			Allows events to be shown in topic display.
		</li>
		<li>
			<strong>Earliest year</strong><br />
			Sets the &quot;first&quot; year on the calendar list.
		</li>
		<li>
			<strong>Latest year</strong><br />
			Sets the &quot;last&quot; year on the calendar list.
		</li>
		<li>
			<strong>Allow events to span multiple days</strong><br />
			Select to allow events to span multiple days.
		</li>
		<li>
			<strong>Maximum number of days an event can span</strong><br />
			Sets the maximum days that an event can span.
		</li>
	</ul>';
$helptxt['cal_link_postevent'] = 'This will allow members to post events for that day, when they click on that date';
$helptxt['cal_maxdays_advance'] = 'If this is set to 7, the next week\'s worth of events will be shown';
$helptxt['cal_allow_unlinkedevents'] = 'Allow members to post events without requiring them to be linked with a post in a board';
$helptxt['cal_min_year'] = 'Select the &quot;first&quot; year on the calendar list';
$helptxt['cal_max_year'] = 'Select the &quot;last&quot; year on the calendar list';
$helptxt['cal_maxevent_span'] = 'Select the maximum number of days that an event can span';
$helptxt['localCookies'] = 'SMF uses cookies to store login information on the client computer.
	Cookies can be stored globally (myserver.com) or locally (myserver.com/path/to/forum).<br />
	Check this option if you are experiencing problems with users getting logged out automatically.<hr />
	Globally stored cookies are less secure when used on a shared web server (like Tripod).<hr />
	Local cookies do not work outside the forum folder so, if your forum is stored at www.myserver.com/forum, pages like www.myserver.com/index.php cannot access the account information.
	Global cookies are recommended especially when using SSI.php.';
$helptxt['enableBBC'] = 'Enabling this option allows Bulletin Board Code (BBC) to be used throughout the forum so that users can format their posts with images, type formatting and more.';
$helptxt['legacy_bbc'] = 'Legacy BBCodes are obsolete and cannot be used in new posts. However, they will be parsed in existing posts if enabled here.<br><br>Enabling legacy BBCodes is only useful if your forum was upgraded from a previous version of SMF.<br><br>Also, even when they are enabled, some legacy BBCodes will not be rendered in the same way that they once were. For example, the [flash] BBCode will simply show a link to the Flash content instead of embedding it.';
$helptxt['default_timezone'] = 'The server time zone tells PHP where your server is located. You should ensure this is set correctly, preferably to the country/city in which the city is located. You can find out more information on the <a href="http://www.php.net/manual/en/timezones.php" target="_blank">PHP Site</a>.';
$helptxt['timezone_priority_countries'] = 'This setting lets you push the time zones for a certain country or countries to the top of the list of selectable time zones that is shown when users are configuring their profiles, creating calendar events, etc.<br><br>For example, if many of your forum\'s members live in New Zealand or Fiji, you may enter "NZ,FJ" to make it easier for them to find the most relevant time zones quickly.<br><br>You can find the complete list of ISO country codes by searching the Internet for "<a href="https://www.google.com/search?q=iso+3166-1+alpha-2" target="_blank" rel="noopener">ISO 3166-1 alpha-2</a>".';
$helptxt['spamWaitTime'] = 'This option allows you to set the time that must elapse between postings and can be used to stop people from "spamming" your forum by limiting how often they can post.';

$helptxt['enablePostHTML'] = 'Enabling this option will allow the use of some basic HTML tags in posts:<br />
	<ul class="normallist" style="margin-bottom: 0;">
		<li>&lt;b&gt;, &lt;u&gt;, &lt;i&gt;, &lt;s&gt;, &lt;em&gt;, &lt;ins&gt;, &lt;del&gt;</li>
		<li>&lt;a href=&quot;&quot;&gt;</li>
		<li>&lt;img src=&quot;&quot; alt=&quot;&quot; /&gt;</li>
		<li>&lt;br /&gt;, &lt;hr /&gt;</li>
		<li>&lt;pre&gt;, &lt;blockquote&gt;</li>
	</ul>';

$helptxt['themes_manage'] = 'Here you can install new themes and select which themes your users can choose from, the default theme that new users and guests will use, as well as other theme selection settings.';
$helptxt['theme_install'] = 'This allows you to install new themes. You can do this from an already created directory by uploading an archive for the theme or by copying the default theme.<br /><br />Note that the archive or directory must have a <tt>theme_info.xml</tt> definition file.';
$helptxt['xmlnews_enable'] = 'Allows people to link to <a href="%1$s?action=.xml;sa=news" target="_blank" class="new_win">Recent News</a>
	and similar data. It is also recommended that you limit the size of recent posts/news because, when RSS data
	is displayed in some clients (like Trillian), it is expected to be truncated.';
$helptxt['xmlnews_attachments'] = 'Allows links to attachments to be enclosed within your XML/RSS feeds. Turn this on if you want to use your forum as a podcasting, broadcatching, or similar content distribution platform.
	<br><br>
	The "view attachments" permission affects this setting. Members and guests will only see a post\'s attachments in the feed if they can also see the attachments on the post\'s web page. Keep in mind that most feed readers will access your feeds as a guest.
	<br><br>
	Some feed formats only allow one enclosed attachment per post. If a post has multiple attachments, SMF will enclose the largest one in these feeds.';
$helptxt['globalCookies'] = 'This will make login cookies available across subdomains.<br />For example:<br />
	If your site is at http://www.simplemachines.org/<br />
	and your forum is at http://forum.simplemachines.org/,<br />
	using this option will allow you to access the forum\'s cookie on your site. Do not enable this if there are other subdomains (e.g. hacker.simplemachines.org) not controlled by you.';
$helptxt['globalCookiesDomain'] = 'When using subdomain independent cookies (global cookies), you can specify which domain should be used for them. This should, of course, be set to your main domain - for example, if you are using <em>forum.example.com</em> and <em>www.example.com</em>, the domain is <em>example.com</em> in this case. You should not put the <em>http://</em> or <em>https://</em> part in front of it.';
$helptxt['secureCookies'] = 'Enabling this setting will force the cookies created for users on your forum to be marked as secure. Only enable this setting if you are using HTTPS throughout your site, otherwise it will mean no-one will be able to log in properly!';
$helptxt['securityDisable'] = 'This option <strong><em>disables</em></strong> the additional password check for the administration section. <strong>Not recommended!</strong>';
$helptxt['securityDisable_why'] = 'This is your current password (the same one you use to login).<br /><br />Having to type this helps ensure that you want to do whatever administration you are doing and that it is <strong>you</strong> doing it.';
$helptxt['securityDisable_moderate'] = 'When enabled, this <em>disables</em> the additional password check for the moderation page. This setting is enabled by default.';
$helptxt['securityDisable_moderate_why'] = 'Enter your current password. (The same one you use to login.)<br><br>The requirement to enter this helps ensure that you want to do whatever moderation you are doing, and that it is <strong>you</strong> doing it.';
$helptxt['allow_cors'] = 'Cross Origin Resource Sharing or CORS is a policy for modern browsers to trust resources being requested across different domains.  If enabled, this will attempt to resolve CORS policy for scripts accessing the forum resources from different domains.  If subdomain independent cookies (global cookies) are enabled, attempts are made to determine the proper domain.  Supplying the Additional CORS domains with a comma separated list of domains allows for additional domains.  The format should be {SCHEMA}://{DOMAIN}.  If a wildcard (*) is supplied in the domain, attempts are made to resolve the wildcard.  If a wildcard (*) is supplied as the only additional domain, all domains are allowed and this may present a security risk to your forum and should not be used except in extreme cases.  Additional headers can be supplied in a comma separated list and will be allowed during requests containing these headers and wildcard (*) is allowed.';
$helptxt['frame_security'] = 'Modern browsers now understand a security header presented by servers called X-Frame-Options. By setting this option you specify how you want to allow your site to be framed inside a frameset or a iframe. Disable will not send any header and is the most unsecure, however allows the most freedom. Deny will prevent all frames completely and is the most restrictive and secure. Allowing the Same Origin will only allow your domain to issue any frames and provides a middle ground for the previous two options.';
$helptxt['proxy_ip_header'] = 'This is the server header that will be trusted by SMF for containing the actual users IP address. Changing this setting can cause unexpected IP results on members. Please check with your server administrator, CDN provider or proxy administrator prior to changing these settings. Most providers will understand and use HTTP_X_FORWARDED_FOR. You should fill out the list of Servers sending the reverse proxy headers for security to ensure these headers only come from valid sources.';
$helptxt['email_members'] = 'In this message you can use a few &quot;variables&quot;. These are:<br>
	{$board_url} - The URL to your forum.<br>
	{$current_time} - The current time.<br>
	{$member.email} - The current member\'s email.<br>
	{$member.link} - The current member\'s link.<br>
	{$member.id} - The current member\'s id.<br>
	{$member.name} - The current member\'s name. (for personalization).<br>
	{$latest_member.link} - The most recently registered member\'s link.<br>
	{$latest_member.id} - The most recently registered member\'s id.<br>
	{$latest_member.name} - The most recently registered member\'s name.';

$helptxt['failed_login_threshold'] = 'This option sets the number of failed login attempts allowed before directing the user to the password reminder screen.';
$helptxt['loginHistoryDays'] = 'The number of days to keep login history under user profile tracking. The default is 30 days.';
$helptxt['oldTopicDays'] = 'Enabling this option will display a warning to the user when attempting to reply to a topic that has not had any new replies for the number of days specified by this setting.';
$helptxt['edit_wait_time'] = 'This option sets the number of seconds allowed for a post to be edited before logging the last edit date.';
$helptxt['edit_disable_time'] = 'This option sets the number of minutes allowed for a user to edit a post they have just made.<br /><br /><em>Note: It will not affect any user who has permission to edit other people\'s posts.</em>';
$helptxt['preview_characters'] = 'This setting sets the number of available characters for the first and last message topic preview.';
$helptxt['quote_expand'] = 'This setting allows large quotes to be collapsed, giving the user the option to expand them to their full length. Quotes smaller than this setting won\'t be affected.';
$helptxt['posts_require_captcha'] = 'This setting will force users to pass anti-spam bot verification each time they make a post on a board and should help combat automated spamming scripts. Only users with a post count below the number set will need to enter the code.';
$helptxt['disable_wysiwyg'] = 'This setting prevents all users from using the WYSIWYG (&quot;What You See Is What You Get&quot;) editor on the post page.';
$helptxt['lastActive'] = 'This option sets the time period (in minutes) for showing people active in last X number of minutes on the board index. Default is 15 minutes.';

$helptxt['customoptions'] = 'This section defines the options that a user can choose from a drop down list. There are a few key points to note in this section:<br />
	<ul class="normallist">
		<li>
			<strong>Default Option</strong>
			The option that has the &quot;radio button&quot; next to it selected will be the default selection for the user when they enter their profile.
		</li>
		<li>
			<strong>Removing Options</strong>
			Clear the text box for an option to remove that option. All users with that selected will have their option cleared.
		</li>
		<li>
			<strong>Reordering Options</strong>
			You can reorder the options by moving text around between the boxes. Note however that you must make sure you do <strong>not</strong> 
			change the text when reordering options as otherwise user data will be lost.
		</li>
	</ul> ';

$helptxt['autoFixDatabase'] = 'This allows broken tables to be fixed automatically and resumes as if nothing happened. It can be useful because otherwise the only way to fix a broken table is to REPAIR the table. This way your forum will not be down until you notice. You will receive an email when this happens.';
// argument(s): scripturl
$helptxt['pgFulltextSearch'] = 'This setting defines the language to use for PostgreSQL\'s fulltext search. Choose the language that most closely matches the language your forum actually uses. If your forum\'s language is not listed, or if your forum is multi-lingual, choose the "simple" option. <br>
This setting is independent of your main SMF language settings and not related to the installed language for SMF. <br>
When you change this setting you need to <a href="%1$s?action=admin;area=managesearch;sa=method" target="_blank" rel="noopener">rebuild the fulltext search index</a>.<br>
If a language you need is not listed, ask your database admin to install PostgreSQL language support for that language.';

$helptxt['enableParticipation'] = 'Enabling this option will show a little icon on the topics in which the user has posted.';

$helptxt['db_persist'] = 'Keeps the connection active to increase performance. This may cause you problems with your host if you are not on a dedicated server.';
$helptxt['ssi_db_user'] = 'Optional setting to use a different database user and password when you are using SSI.php.';

// argument(s): either $helptxt['queryless_urls_supported'] or $helptxt['queryless_urls_unsupported'], depending on whether the server uses a supported webserver
$helptxt['queryless_urls'] = 'This changes the format of URLs a little so search engines will like them better. They will look like index.php/topic,1.0.html.<br><br>%1$s';
// is conditionally used as part of $helptxt['queryless_urls']
$helptxt['queryless_urls_supported'] = 'This feature will work on your server.';
// is conditionally used as part of $helptxt['queryless_urls']
$helptxt['queryless_urls_unsupported'] = 'This feature will not work on your server.';
$helptxt['minimize_files'] = 'This option will minimize the CSS and JavaScript files used by your forum, reducing the request calls to your server and speeding up load times for your users.<br><br>You should normally leave this option enabled. The only time you might want to disable it temporarily is while you are in the process of altering the CSS or JavaScript files used on your site (for example, when editing your theme files or developing a modification).';
$helptxt['boardindex_max_depth'] = 'This setting controls how many sub-board levels SMF will check when looking for new posts in sub-boards. It also affects which boards are included when the "Count sub-board\'s posts in parent\'s totals" option is enabled.<br><br>For example, if this is set to 1, a sub-board will only be marked "new" on the index page if the sub-board itself contains a new post. If it is set to 2, the sub-board will be marked "new" if there is a new post in the sub-board or in a sub-sub-board. If it is set to 10, the sub-board will be marked "new" if there is a new post in the sub-board, a sub-sub-board, a sub-sub-sub-board, etc., up to 10 levels deep.<br><br>Large, active forums may want to set this value to a low number in order to conserve server resources.';
$helptxt['countChildPosts'] = 'Checking this option will mean that posts and topics in a board\'s child board will count toward its totals on the index page.<br /><br />This will make things notably slower but means that a parent with no posts in it will not show \'0\'.';
$helptxt['allow_ignore_boards'] = 'Checking this setting will allow users to select boards they wish to ignore.';
$helptxt['deny_boards_access'] = 'Checking this setting will allow you to deny access to certain boards based on membergroup access';

// argument(s): scripturl
$helptxt['who_enabled'] = 'This option allows you to turn on or off the ability for users to see who is browsing the forum and what they are doing.';

$helptxt['recycle_enable'] = 'This enables &quot;Recycling&quot; of deleted topics and posts to the specified board.';

$helptxt['enableReportPM'] = 'Enabling this option allows your users to report personal messages they receive to the administration team and may be useful in helping to track down any abuse of the personal messaging system.';
$helptxt['max_pm_recipients'] = 'This option allows you to set the maximum number of recipients allowed in a personal message sent by a forum member and can be used to help stop spam abuse of the personal messaging system. Note that users with permission to send newsletters are exempt from this restriction.';
$helptxt['pm_posts_verification'] = 'This setting will force users, with a post count below the number set, to enter a code shown on a verification image each time they send a personal message and should help combat automated spamming scripts.';
$helptxt['pm_posts_per_hour'] = 'This setting limits the number of personal messages that a user can send in a one hour period. It does not apply to administrators or moderators.';

$helptxt['default_personal_text'] = 'This sets the default text a new user will have as their &quot;personal text&quot;.';

$helptxt['registration_method'] = 'This option determines the method of registration used for people wishing to join your forum. You can select from:<br />
	<ul class="normallist">
		<li>
			<strong>Registration Disabled</strong><br />
			Disables the registration process which means that no new members can register to join your forum.
		</li>
		<li>
			<strong>Immediate Registration</strong><br />
			New members can login and post immediately after registering with your forum.
		</li>
		<li>
			<strong>Email Activation</strong><br />
			All new members registering with your forum will have an activation link emailed to them which they must click before they can become full members.
		</li>
		<li>
			<strong>Admin Approval</strong><br />
			All new members registering with your forum will need to be approved by the admin before they can become members.
		</li>
	</ul>';

$helptxt['send_validation_onChange'] = 'When this option is enabled, all members who change their email address in their profile will have to reactivate their account from an email sent to that address.';
$helptxt['approveAccountDeletion'] = 'When this setting is checked, any user request to delete his own account has to be approved by an administrator';

$helptxt['send_welcomeEmail'] = 'When this option is enabled, all new members will be sent an email welcoming them to your community.';
$helptxt['password_strength'] = 'This setting determines the strength required for passwords selected by your forum users. The stronger the password, the harder it should be to compromise members\' accounts.
	Possible options are:<br />
	<ul class="normallist">
		<li>
			<strong>Low</strong><br />
			The password must be at least four characters long.
		</li>
		<li>
			<strong>Medium</strong><br />
			The password must be at least eight characters long and cannot be part of a user\'s name or email address.
		</li>
		<li>
			<strong>High</strong><br />
			As for medium plus the password must contain a mixture of upper and lower case letters and at least one number.
		</li>
	</ul>';
$helptxt['enable_password_conversion'] = 'By enabling this setting, SMF will attempt to detect passwords stored in other formats and convert them to the format SMF uses. Typically this is used for forums converted to SMF, but may have other uses as well. Disabling this prevents a user from logging in using their password after a conversion and they would need to reset their password.';

$helptxt['coppaAge'] = 'The value specified in this box will determine the minimum age that new members must be to be granted immediate access to the forums.
	On registration they will be prompted to confirm whether they are over this age and if not, will either have their application rejected or suspended awaiting parental approval dependant on the type of restriction selected.
	If a value of 0 is selected for this setting then all other age restriction settings will be ignored.';
$helptxt['coppaType'] = 'If age restrictions are enabled, this setting determines what happens when a user below the minimum age attempts to register with your forum. 
	There are two possible choices:<br />
	<ul class="normallist">
		<li>
			<strong>Reject Their Registration</strong><br />
			Any new member below the minimum age will have their registration rejected immediately.
		</li>
		<li>
			<strong>Require Parent/Guardian Approval</strong><br />
			Any new member who attempts to register and is below the minimum permitted age will have their account marked as \'awaiting 
			approval\'. They will be presented with a form upon which their parents must give permission for the applicant to become a member 
			of the forum. They will also be presented with the forum contact details, as entered on the settings page, so they can send the form 
			to the administrator by mail or fax.
		</li>
	</ul>';
$helptxt['coppaPost'] = 'The contact boxes are required so that forms granting permission for underage registration can be sent to the forum administrator. These details will be shown to all new minors and are required for parent/guardian approval. At the very least, a postal address or fax number must be provided.';

$helptxt['allow_hideOnline'] = 'Enabling this option allows all members to be able to hide their online status from other users (except administrators). If disabled, only users who can moderate the forum can hide their presence. Note that disabling this option will not change any existing member\'s status but will stop them from hiding themselves in the future.';
$helptxt['meta_keywords'] = 'These keywords are sent in the output of every page to indicate the key content of your site to search engines etc. The words should be in a comma-separated list and should not use HTML.';

$helptxt['latest_themes'] = 'This area shows a few of the latest and most popular themes from <a href="http://www.simplemachines.org/" target="_blank">www.simplemachines.org</a>. It may not show up properly, however, if your computer cannot find <a href="http://www.simplemachines.org/" target="_blank">www.simplemachines.org</a>.';

$helptxt['secret_why_blank'] = 'For your security, the answer to your question (and your password) is encrypted in such a way that SMF can only tell you if get it right. SMF can never tell you (or, more importantly, anyone else) your answer or password.';
$helptxt['moderator_why_missing'] = 'Moderation is done on a board-by-board basis so you have to make members moderators from the <a href="javascript:window.open(\'%1$s?action=admin;area=manageboards\'); self.close();">board management interface</a>.';

$helptxt['permissions'] = 'Permissions are how you either allow groups to do, or deny groups from doing, specific things.<br /><br />You can modify multiple boards at once with the checkboxes or look at the permissions for a specific group by clicking \'Modify\'.';
$helptxt['permissions_board'] = 'If a board is set to \'Global\', it means that the board will not have any special permissions. \'Local\' means it will have its own permissions separate from the global ones. This allows you to have a board that has more or less permissions than another without requiring you to set them for each and every board.';
$helptxt['permissions_quickgroups'] = 'This allows you to use the &quot;default&quot; permission setups.<br /><br />Restrictive means \'like a guest\', Standard means \'nothing special\', Moderator means \'what a moderator has\' and lastly Maintenance means \'very close to those of an administrator\'.';
$helptxt['permissions_deny'] = 'Denying permissions can be useful when you want to take away permission from certain members. You can add a membergroup with a \'Deny\' permission to the members you want to deny a permission.<br /><br />Use with care as a denied permission will stay denied no matter what other membergroups the member is in.';
$helptxt['permissions_postgroups'] = 'Enabling permissions for post count based groups will allow you to attribute permissions to members that have posted a certain number of messages. The permissions of the post count based groups are <em>added</em> to the permissions of the regular membergroups.';
$helptxt['membergroup_guests'] = 'The Guests membergroup is all users that are not logged in.';
$helptxt['membergroup_regular_members'] = 'The Regular Members are all members that are logged in but have no primary membergroup assigned.';
$helptxt['membergroup_administrator'] = 'The administrator can, by definition, do anything and see any board. There are no permission settings for the administrator.';
$helptxt['membergroup_moderator'] = 'The Moderator membergroup is a special membergroup. Permissions and settings assigned to this group apply to moderators but only <em>on the boards they moderate</em>. Outside these boards they are just like any other member.';
$helptxt['membergroups'] = '<strong>Member Groups</strong><br /><br />
	In SMF there are two types of groups to which your members can belong. These are:<br />
	<ul class="normallist">
		<li>
			<strong>Regular Groups</strong>
			Members are not automatically put into a regular group. To assign a member to be in a group, simply go to their profile and click &quot;Account Settings&quot;. 
			You can assign them to be part of any number of regular groups.
		</li>
		<li>
			<strong>Post Groups</strong>
			Unlike regular groups, post based groups cannot be assigned. Instead, members are automatically assigned to a post based group when they reach the minimum 
			number of posts required to be in that group.
		</li>
	</ul>';

$helptxt['calendar_how_edit'] = 'You can edit these events by clicking on the red asterisk (*) next to their names.';

$helptxt['maintenance_backup'] = 'This area allows you to save a copy of all the posts, settings, members and other information in your forum to a very large file.<br /><br />It is recommended that you do this often, perhaps weekly, for safety and security.';
$helptxt['maintenance_rot'] = 'This allows you to <strong>completely</strong> and <strong>irrevocably</strong> remove old topics. It is recommended that you try to make a backup first, just in case you remove something you did not mean to remove.<br /><br />Use this option with care.';
$helptxt['maintenance_members'] = 'This allows you to <strong>completely</strong> and <strong>irrevocably</strong> remove member accounts from your forum. It is <strong>highly</strong> recommended that you try to make a backup first, just in case you remove something did not mean to remove.<br /><br />Use this option with care.';

$helptxt['avatar_server_stored'] = 'This allows your members to pick from avatars stored on your server itself. By default they are stored in the "avatars" directory.<br>As a tip, if you create directories in that folder, you can make "categories" of avatars.';
$helptxt['avatar_external'] = 'Enabling this option allows your members to enter a URL to their own avatar. The downside of this is that, in some cases, they may use avatars that are overly large or portray images you do not want on your forum.';
$helptxt['avatar_download_external'] = 'With this setting enabled, external avatars will be downloaded from the URLs given by the users. On success, the avatars will be treated like uploaded avatars.';
$helptxt['avatar_action_too_large'] = 'This setting lets you reject images (from other sites) that are too big, or tells the user\'s browser to resize them, or to download them to your server.<br><br>If users put in very large images as their avatars and resize in the browser, it could cause very slow loading for your users - it does not actually resize the file, it just displays it smaller. So a digital photo, for example, would still be loaded in full and then resized only when displayed - so for users this could get quite slow and use a lot of bandwidth.<br><br>On the other hand, downloading them means using your bandwidth and server space, but you also ensure that images are smaller, so it should be faster for users. (Note: downloading and resizing requires either the GD library, or ImageMagick using either the Imagick or MagickWand extensions)';
$helptxt['avatar_upload'] = 'This setting is much like &quot;external avatars&quot;, except that you have better control over the avatars, a better time resizing them, and your members do not have to have somewhere to put avatars.<br><br>However, the downside is that it can take a lot of space on your server.';
$helptxt['avatar_download_png'] = 'PNGs are larger but offer better quality compression. If this is option unchecked, JPEG will be used instead which is often smaller but also of lesser, or blurrier, quality.';

$helptxt['disableHostnameLookup'] = 'This option will disable host name lookups which are very slow on some servers. Note that this will make banning less effective.';

$helptxt['smiley_sameall'] = 'If checking "Same image for all sets", the same image will be added to all your smiley sets. If you uncheck the box, a different image can be uploaded for every installed smiley set. Note that an image needs to be provided for every smiley set.';

$helptxt['search_weight_frequency'] = 'Weight factors are used to determine the relevancy of a search result. You can change these weight factors to match the things that are specifically important for your forum. For instance, a forum of a news site might want a relatively high value for \'age of last matching message\'. All values are relative to each other and should be positive integers.<br /><br />This factor counts the number of matching messages and divides them by the total number of messages within a topic.';
$helptxt['search_weight_age'] = 'Weight factors are used to determine the relevancy of a search result. You can change these weight factors to match the things that are specifically important for your forum. For instance, a forum of a news site might want a relatively high value for \'age of last matching message\'. All values are relative to each other and should be positive integers.<br /><br />This factor rates the age of the last matching message within a topic. The more recent this message is, the higher the score.';
$helptxt['search_weight_length'] = 'Weight factors are used to determine the relevancy of a search result. You can change these weight factors to match the things that are specifically important for your forum. For instance, a forum of a news site might want a relatively high value for \'age of last matching message\'. All values are relative to each other and should be positive integers.<br /><br />This factor is based on the topic size. The more messages there are within the topic, the higher the score.';
$helptxt['search_weight_subject'] = 'Weight factors are used to determine the relevancy of a search result. You can change these weight factors to match the things that are specifically important for your forum. For instance, a forum of a news site might want a relatively high value for \'age of last matching message\'. All values are relative to each other and should be positive integers.<br /><br />This factor looks at whether a search term can be found within the subject of a topic.';
$helptxt['search_weight_first_message'] = 'Weight factors are used to determine the relevancy of a search result. You can change these weight factors to match the things that are specifically important for your forum. For instance, a forum of a news site might want a relatively high value for \'age of last matching message\'. All values are relative to each other and should be positive integers.<br /><br />This factor looks at whether a match can be found in the first message of a topic.';
$helptxt['search_weight_sticky'] = 'Weight factors are used to determine the relevancy of a search result. You can change these weight factors to match the things that are specifically important for your forum. For instance, a forum of a news site might want a relatively high value for \'age of last matching message\'. All values are relative to each other and should be positive integers.<br /><br />This factor looks at whether a topic is sticky and increases the relevancy score if it is.';
$helptxt['search'] = 'You can adjust all settings for the search function here.';
$helptxt['search_why_use_index'] = 'A search index can greatly improve the performance of searches on your forum. As the number of messages on a forum grows larger, searching without an index can take a long time and increase the pressure on your database. If your forum is larger than 50,000 messages, you might want to consider creating a search index to ensure peak performance of your forum.<br /><br />Note that a search index can take up quite a lot of space. A fulltext index is a built-in index of MySQL which is relatively compact (approximately the same size as the message table) but a lot of words are not indexed and it can, in some search queries, turn out to be very slow. The custom index is often larger (depending on your configuration it can be up to 3 times the size of the messages table) but its performance is better than fulltext and relatively stable.';

$helptxt['see_admin_ip'] = '<strong>IP Address</strong><br /><br />
	IP addresses are shown to administrators and moderators to facilitate moderation and to make it easier to track people up to no good.<br /><br />
	Remember that IP addresses may not always be identifying and most people\'s IP address changes periodically.<br /><br />
	Members are also allowed to see their own IP addresses.';
$helptxt['see_member_ip'] = '<strong>IP Address</strong><br /><br />
	Your IP address is shown only to you and moderators.<br /><br />
	Remember that this information may not always be identifying as most people\'s IP address changes periodically.<br /><br />
	You cannot see other member\'s IP addresses and they cannot see yours.';
$helptxt['whytwoip'] = 'SMF uses various methods to detect user IP addresses. Usually these two methods result in the same address but in some cases more than one address may be detected. In this case SMF logs the two most recent addresses, and uses them both for ban checks (etc). You can click on either address to track that IP and ban if necessary.';

$helptxt['ban_cannot_post'] = 'The \'Cannot post\' restriction turns the forum into read-only mode for the banned user. The user cannot create new topics, reply to existing ones, send personal messages or vote in polls. The banned user can, however, still read personal messages and topics.<br /><br />A warning message is shown to users who are banned this way.';

$helptxt['posts_and_topics'] = '<strong>Posts and Topics</strong><br />
	<ul class="normallist">
		<li>
			<strong>Post Settings</strong><br />
			You can modify the settings related to the posting of messages and the way messages are shown in addition to enabling the spell check here.
		</li>
		<li>
			<strong>Bulletin Board Code</strong><br />
			You can enable the code that shows forum messages in the right layout here and adjust which codes are allowed and which are not.
		</li>
		<li>
			<strong>Censored Words</strong>
			You can censor certain words here in order to keep the language on your forum under control. This capability allows you to convert forbidden words into innocent versions.
		</li>
		<li>
			<strong>Topic Settings</strong>
			You can modify the settings related to topics here such as the number of topics per page, whether sticky topics are enabled or not, the number of messages needed for a topic to be hot, etc.
		</li>
	</ul>';

$helptxt['spider_mode'] = 'Sets the logging level.<br>
Standard - Logs minimal spider activity.<br>
Moderate - Provides more accurate statistics.<br>
Aggressive - Same as &quot;Moderate&quot;, but logs data about each page visited.';

$helptxt['spider_group'] = '<strong>Spiders Group</strong><br /><br />
	When a guest is detected as a search crawler, by selecting a restrictive group it will automatically be assigned any \'Deny\' permissions of that group in addition to the normal 
	permissions of a guest. You can use this to provide lesser access to a search engine than you would a normal guest. You might, for example, want to create a new group called 
	&quot;Spiders&quot; and select that here. You could then deny permission for that group to view profiles to stop spiders indexing your members profiles.<br />
	Note: Spider detection is not perfect and can be simulated by users so this feature is not guaranteed to restrict content only to those search engines you have added.';
$helptxt['show_spider_online'] = '<strong>Spiders</strong><br /><br />
	This setting allows you to select whether spiders should be listed in the Who\'s Online list on the board index and &quot;Who\'s Online&quot; page. Options are:<br />
	<ul class="normallist">
		<li>
			<strong>Not at All</strong><br />
			Spiders will simply appear as guests to all users.
		</li>
		<li>
			<strong>Show Spider Quantity</strong><br />
			The board index will display the number of spiders currently visiting the forum.
		</li>
		<li>
			<strong>Show Spider Names</strong><br />
			Each spider name will be revealed so that users can see how many of each spider is currently visiting the forum. This takes effect on both the board index and &quot;Who\'s Online&quot; page.
		</li>
		<li>
			<strong>Show Spider Names (Administrators Only)</strong><br />
			As above except only administrators can see spider status. All other users see spiders as guests.
		</li>
	</ul>';

$helptxt['birthday_email'] = '<strong>Birthday Message</strong><br /><br />
	This option allows you to select the birthday email message to use. A preview will be shown in the &quot;Email Subject&quot; and &quot;Email Body&quot; fields.<br /><br />
	<strong>Note:</strong> This option does not automatically enable birthday emails. 
	Use the \'<a href="%1$s?action=admin;area=scheduledtasks;%3$s=%2$s" target="_blank" class="new_win">Scheduled Tasks</a>\' page to enable the birthday email task.';
$helptxt['pm_bcc'] = 'You can choose to add a recipient as a &quot;Blind Carbon Copy&quot; (BCC) when sending a personal message. BCC recipients do not have their identities revealed to other recipients of the message.';

$helptxt['move_topics_maintenance'] = 'This will allow you to move all the posts from one board to another board.';
$helptxt['maintain_reattribute_posts'] = 'You can use this function to attribute guest posts on your board to a registered member. This is useful if, for example, a user deleted their account and changed their mind and wished to have their old posts associated with their account.';
$helptxt['chmod_flags'] = 'You can manually set the permissions of the selected files by entering the chmod value as a numeric (octet) value. Note: These flags have no effect on Microsoft Windows operating systems.';

$helptxt['postmod'] = 'This page allows members of the moderation team (with sufficient permissions) to approve any posts and topics before they are shown.';

$helptxt['field_show_enclosed'] = 'Encloses the user input between some text or html. This will allow you to add more instant message providers, images or an embed etc. For example:<br><br>
		&lt;a href="https://example.com/{INPUT}"&gt;&lt;img src="{DEFAULT_IMAGES_URL}/icon.png" alt="{INPUT}" /&gt;&lt;/a&gt;<br><br>
		Note that you can use the following variables:<br>
		<ul class="normallist">
			<li>{INPUT} - The input specified by the user.</li>
			<li>{SCRIPTURL} - Web address of forum.</li>
			<li>{IMAGES_URL} - URL to images directory in the users current theme.</li>
			<li>{DEFAULT_IMAGES_URL} - URL to the images directory in the default theme.</li>
			<li>{KEY} - Used when a field has multiple options, is the unique numeric ID used to identify it.</li>
		</ul>';

$helptxt['custom_mask'] = '<strong>Custom Mask</strong><br /><br />
	The input mask is important for your forum\'s security. Validating the input from a user can help ensure that data is not used in a way you do not expect. 
	We have provided some simple regular expressions as hints.<br /><br />
	<div class="smalltext" style="margin: 0 2em">
		&quot;[A-Za-z]+&quot; - Match all upper and lower case alphabetic characters.<br />
		&quot;[0-9]+&quot; - Match all numeric characters.<br />
		&quot;[A-Za-z0-9]{7}&quot; - Match all upper and lower case alphabetic and numeric characters seven times.<br />
		&quot;[^0-9]?&quot; - Forbid any number from being matched.<br />
		&quot;^([A-Fa-f0-9]{3}|[A-Fa-f0-9]{6})$&quot; - Only allow 3 or 6 character hex codes.<br />
	</div><br /><br />
	Additionally, special metacharacters ?+*^$ and {xx} can be defined.
	<div class="smalltext" style="margin: 0 2em">
		? - None or one match of previous expression.<br />
		+ - One or more of previous expression.<br />
		* - None or more of previous expression.<br />
		{xx} - An exact number from previous expression.<br />
		{xx,} - An exact number or more from previous expression.<br />
		{,xx} - An exact number or less from previous expression.<br />
		{xx,yy} - An exact match between the two numbers from previous expression.<br />
		^ - Start of string.<br />
		$ - End of string.<br />
		\\ - Escapes the next character.<br />
	</div><br /><br />
	More information and advanced techniques can be found on the internet.';

$helptxt['topic_move_any'] = 'If checked, users will be allowed to move topics to any board they can see. Otherwise, they will only be able to move them to boards where they can post new topics.';

$helptxt['alert_pm_new'] = 'Notifications of new personal messages do not appear in the Alerts pane, but appear in the "My Messages" list instead.';
$helptxt['alert_event_new'] = 'This will send out an alert or email as requested if there is a new calendar event added. However, if that event is posted and a topic is added, you will not get an alert for the event if you\'re already following that board - the alert from following the board would cover this.';

$helptxt['force_ssl'] = '<strong>Test SSL and HTTPS on your server properly before enabling this, it may cause your forum to become inaccessible.</strong> Enable maintenance mode if you are unable to access the forum after enabling this.<br><br><strong>Changing this setting will update your forum\'s primary URL, as well as the URLs for your theme files and images, smileys, and avatars, setting them to either http: or https: based on your selection. Customized URLs will not be affected.</strong>';
$helptxt['image_proxy_enabled'] = 'Required for embedding external images when in full SSL';
$helptxt['image_proxy_secret'] = 'Keep this a secret, protects your forum from hotlinking images. Change it in order to render current hotlinked images useless';
$helptxt['image_proxy_maxsize'] = 'Maximum image size that the SSL image proxy will cache: bigger images will be not be cached. Cached images are stored in your SMF cache folder, so make sure you have enough free space.';

$helptxt['enable_sm_stats'] = 'If enabled, this will allow Simple Machines to visit your site once a month to collect basic statistics. This will help us make decisions as to which configurations to optimize the software for. For more information please visit our <a href="https://www.simplemachines.org/about/stats.php" target="_blank" rel="noopener">info page</a>.';

$helptxt['field_reg_require'] = 'If this field is required during registration, it will also be required on profile changes.';

$helptxt['translatable_fields'] = 'If you wish to provide multi-language support for your custom profile fields you can use translatable tokens on both the name and description fields.<br><br>
Anything enclosed with braces <span class="monospace">{}</span> will be considered as a token and will be matched against a $txt string. For example, the token <span class="monospace">{gender}</span> will be replaced by the value of $txt[\'gender\']<br><br>
It is <strong>very important</strong> to add the matched $txt string to <strong>ALL</strong> currently installed languages. To do this, go to the <a href="%1$s?action=admin;area=languages;sa=edit;%3$s=%2$s" class="bbc_link" target="_blank" rel="noopener">Edit Languages</a> page and complete the following steps for each installed language:
<ol class="bbc_list" style="list-style-type: decimal">
	<li>Click the "Edit" button next to the language name.</li>
	<li>In the "Select entries to edit" menu, choose "Modifications".</li>
	<li>Scroll to bottom and click the "Add Another Item" button.</li>
	<li>Follow the prompts to add your new string.</li>
</ol>';

// argument(s): $boarddir, $boardurl
$helptxt['cron_is_real_cron'] = 'By default, SMF adds to every page a small bit of JavaScript that prompts the user\'s browser to trigger SMF\'s cron.php in the background. This approach allows SMF to execute its scheduled tasks on a regular basis without requiring the admin to do any extra server configuration. However, some admins might prefer to configure their servers to directly execute cron.php on a regular basis. If you have done this, you can disable the JavaScript method.<br><br><strong>Note:</strong> Configuring your server to run scheduled tasks this way cannot be done from within SMF. You will need to use your server configuration software to do so. Typical tools for this purpose include <code>cron</code> (for Linux servers), <code>schtasks.exe</code> (for Windows servers), and <code>launchd</code> (for macOS servers). Most web hosting companies provide some sort of control panel interface to allow their customers to access these tools.<br><br>The path and URL for your forum\'s cron.php are:<br>Path: %1$s/cron.php<br>URL: %2$s/cron.php';

$helptxt['languages_txt'] = 'These language entries are used throughout SMF to define localized versions of text for different languages.<br><br>If you see a value like <code>&#37;1$s</code> in an entry, it is a placeholder that SMF fills in with a real value at runtime. Make sure to keep such placeholders in your customized text.';
$helptxt['languages_helptxt'] = 'These language entries are used to show floating help text popups (like this one).';
$helptxt['languages_editortxt'] = 'These language entries are used for user interface elements in the post editor.';
$helptxt['languages_tztxt'] = 'These language entries are used to build descriptions for time zones.<br><br>For example, the <code>Europe_Western</code> string may be combined with the <code>daylight_saving_time_false</code> string to produce "Western European Standard Time".<br><br>Note: If no description is provided for a given time zone, SMF will generate a description using a list of locations within that time zone.';
$helptxt['languages_txt_for_timezones'] = 'These language entries allow you to do the following:<br><ol class="bbc_list" style="list-style-type: decimal;"><li>Edit the names shown for individual locations anywhere they might be used in a context related to time zones. For example, you can tell SMF to show "Qaanaaq" for the location "America/Thule" instead of "Thule".</li><li>Edit the names shown for different countries. This can be done by editing the relevant <code>iso3166[]</code> string.</li></ol>';
$helptxt['languages_txt_for_email_templates'] = 'These language entries are used to create the email messages that SMF sends to your members.';
$helptxt['languages_native_name'] = 'The language\'s name for itself, represented in its own script.';
$helptxt['languages_character_set'] = 'The character encoding used for this language. As of SMF 2.1, this should always be "UTF-8".';
$helptxt['languages_locale'] = 'The locale code is used to determine various formatting conventions, etc.<br><br>The locale code typically takes the form of a two character language code, optionally followed by an underscore and a two character country code. For example, <code>en</code> would identify generic English, while <code>en_AU</code> would identify Australian English in particular.';
$helptxt['languages_rtl'] = 'Enter a "1" here if this language reads from right to left (e.g. Hebrew, Arabic).  Leave it "0" for left to right languages.';
$helptxt['languages_dictionary'] = 'This defines the main language dictionary that will be used by the <a href="https://php.net/function.pspell-new" target="_blank" rel="noopener">pSpell</a> spellchecker (if installed).';
$helptxt['languages_recaptcha'] = 'The language code to use for the reCAPTCHA verification widget.<br><br>See Google\'s reCAPTCHA documentation for its <a href="https://developers.google.com/recaptcha/docs/language" target="_blank" rel="noopener" class="bbc_link">list of supported languages</a>.';
// The GDPR page of the EU exists in several languages; change the language code at the end of the url
$helptxt['requireAgreement'] = 'This setting is recommended to be enabled in order to comply with the rules of the <a href="https://ec.europa.eu/info/law/law-topic/data-protection/eu-data-protection-rules_en" target="_blank" rel="noopener" class="bbc_link">GDPR</a>.';
// The GDPR page of the EU exists in several languages; change the language code at the end of the url
$helptxt['requirePolicyAgreement'] = 'This setting is recommended to be enabled in order to comply with the rules of the <a href="https://ec.europa.eu/info/law/law-topic/data-protection/eu-data-protection-rules_en" target="_blank" rel="noopener" class="bbc_link">GDPR</a>.';
$helptxt['gravatar'] = 'Gravatar is Globally Recognized Avatars. Register an account at <a href="https://www.gravatar.com" target="_blank" rel="noopener">https://www.gravatar.com</a> to select an avatar image. This avatar is then available at every site that supports gravatars. If you don\'t have a gravatar account, a default image will be used.';

?>